summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAdam Feldman <NP-Hardass@gentoo.org>2020-03-03 13:27:00 -0500
committerAdam Feldman <NP-Hardass@gentoo.org>2020-04-06 13:47:23 -0400
commitc4081fd2f1e388ef53a43e79c7571e75b8179e31 (patch)
treeddee2936a5a6cbb3fff43fb6c6d2153874d36b71 /mate-base/mate-common
parentapp-emulation/libvirt: remove --listen parameter for systemd unit files (diff)
downloadgentoo-c4081fd2f1e388ef53a43e79c7571e75b8179e31.tar.gz
gentoo-c4081fd2f1e388ef53a43e79c7571e75b8179e31.tar.bz2
gentoo-c4081fd2f1e388ef53a43e79c7571e75b8179e31.zip
mate-base/mate-common: Bump to 1.22.2
Package-Manager: Portage-2.3.82, Repoman-2.3.18 Signed-off-by: Adam Feldman <NP-Hardass@gentoo.org>
Diffstat (limited to 'mate-base/mate-common')
-rw-r--r--mate-base/mate-common/Manifest1
-rw-r--r--mate-base/mate-common/mate-common-1.22.2.ebuild32
2 files changed, 33 insertions, 0 deletions
diff --git a/mate-base/mate-common/Manifest b/mate-base/mate-common/Manifest
index 1d212c14e75..de8ef8bcca6 100644
--- a/mate-base/mate-common/Manifest
+++ b/mate-base/mate-common/Manifest
@@ -1 +1,2 @@
DIST mate-common-1.22.0.tar.xz 73448 BLAKE2B 7796423fd70732c063759e509c13a62fdc5c68e07768776b25ecbec7d06ca8bc68fad947287306ede99f5993a8def3b5f25a4560d3fa7677083a28c64d2c4288 SHA512 3887634081c126c6c23f560ca256ae83edbc5f77f0fc0128c2aaa2b5652672ec6f21ca29b0b44802b03c5dfd53bf0da860093ec73c46fba58f7be12a1db1d2a3
+DIST mate-common-1.22.2.tar.xz 69620 BLAKE2B 8acf4ff0ce792ea949913b2f6f591f3ab76e442ac40196ef6bfaf5fc46fdcde439a7e8f71698437c499b7effdbd8fdefd77e8aa254718af9dde053fa184e5716 SHA512 0afedfae9a93f9b3f8344d5f8a93d80b71b472f084e8322daa7f616e9f0861511536aa1f56f8cfc57abd7e1720cd4695dcecc0582483b009bc6e67daaa82107b
diff --git a/mate-base/mate-common/mate-common-1.22.2.ebuild b/mate-base/mate-common/mate-common-1.22.2.ebuild
new file mode 100644
index 00000000000..f62fd085c89
--- /dev/null
+++ b/mate-base/mate-common/mate-common-1.22.2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit mate-desktop.org
+
+if [[ ${PV} == 9999 ]]; then
+ inherit autotools
+else
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+fi
+
+DESCRIPTION="Common files for development of MATE packages"
+LICENSE="GPL-3"
+SLOT="0"
+
+src_prepare() {
+ default
+ if [[ ${PV} == 9999 ]]; then
+ eautoreconf
+ fi
+}
+
+src_install() {
+ mv doc-build/README README.doc-build \
+ || die "Failed to rename doc-build/README."
+
+ default
+
+ dodoc doc/usage.txt
+}